About Calendar Wizard

Calendar Wizard

Calendar Wizard tool is used for creation of custom calendars. The created calendars can be as complex as you want to.

Creating a new calendar means that Calendar Wizard lets you to:

  • Create calendars both for one month and for one year;
  • Make the months alignment variable;
  • Choose the type of a month's representation;
  • Create multi-lingual calendars;
  • Pick and note any dates on a calendar;
  • Create calendars using any color styles suitable for you;
  • Preview the calendar created on any stage of creation;
  • Split items of days and the calendar grid lines into different layers.

Calendar Wizard's main program creates an image that can be viewed or modified in various graphical systems. Conversion to popular graphical formats available as well from main program.

NOTE: additional file formats and graphical systems are supported basing on their popularity. There is another type of graphical conversion module - the custom written one (contact us for more info).

The program works like a standard Windows wizard letting you to form the calendar image step-by-step:

Step 1. Determining calendar period
Step 2. Arranging months
Step 3. Month's structure
Step 4. Creating months and weeks titles
Step 5. Arranging calendar items
Step 6. Additional image parameters
Step 7. Grid options
Step 8. Calendar elements layout
Step 9. Saving created image
Step 10. Choosing a plug-in
Step 11. Configuring and running a plug-in

You can show or hide the preview window in each step by pressing the 'Preview' button. Whenever parameters are changed the changes will become available for preview.

You can change program language in Step 1. The program will be restarted automatically!


Setup and registration

The latest version of the program can be found at www.dehelp.com
For your convenience the distribution package has been split into several files. One file download (*) available as well:

File | Size | Date | Description
calendar.zip | 1.1 Mb | 28.03.02 | Version 2.1 A self installing program shipped as one file(*).
cal_base.zip | 191 Kb | 28.03.02 | Basic calculation and process library
cal_vcl.zip | 781 kb | 28.03.02 | Basic standard modules
cal_plgs.zip | 117 Kb | 28.03.02 | Plug-ins: JPEG, Plain Text, Corel OLE Automation

Setup
To install the program unpack and run inst_cal.exe contained in calendar.zip archive.

All program modules must be unpacked to the same folder. Sample calendar templates are located at .\sample folder.
Basic standard modules are not changed, so you can download them once and forget.

Standard installation package contains the help file in English. Help files for other languages are available on our web site.

The following window will appear when launching the unregistered version:

Unregistered version supports limited number of modules.
Learn how to register your copy of Calendar Wizard online at www.dehelp.com

You can contact us regarding any question you should have at:
DneprSoftGroup (mail@dehelp.com)


Step 1. Determining calendar period

| >>

Step 1. Determining calendar period

To form the calendar image you should supply Calendar Wizard with some important parameters. You can either use the pre-installed calendar templates or provide the program with your custom parameters. Calendar templates are stored in *.cbl files. Some templates are shipped with the program.

Calendar period may be set to either 1 year or 1 month.


Step 2. Arranging months

<< | >>

Step 2. Arranging months.

If you create a one month calendar you can skip this step.

Calendar title can be set to whatever you want to. It is set to current year by default. If this field is occupied already there will be no automatic update when changing years in Step 1.

There is a built-in feature which lets you see the year title in eastern calendar format.

Sample months arrangement:

one column (1x12)
two columns (2x6)
three columns (3x4)
four columns (4x3)
two rows (6x2)
one row (12x1)


Step 3. Month's structure

Step 3. Month's structure

Additional preview available in this step.

Month's weeks can be placed either vertically or horizontally.

Month's appearance is formed by rows and columns alignment: each row (and each column as well) can represent one week or two weeks or all the days in a month.

Each weekday may be taken as a week starting point.

Weeks numbering is available only if the starting point of a week is set to Monday and the column or the row represents one week.

Keep in mind that you can set parameters in a number of specified ways. Some combinations of parameters will not work. For example: you can only align all the days in month in a horizontal row if you have specified one row alignment in previous step.


Step 4. Creating months and weeks titles

Step 4. Creating months and weekdays titles

All months and weeks names are taken directly from your system by default. Months names are written in capitals while week titles are written with smaller letters.

To change the title format you need to:
1. Delete the existing text by pressing [Clear] button
2. Select Type of letters (capitals or small ones).
3. If you want to use the abbreviation you should check the corresponding option.
4. Press the [Add] button. A pop-up menu will appear. The first item in this menu is always the system language. There is additional language file called lang_str.dat which enables the support for other languages such as: Russian, Ukrainian, English, German and French.
5. Select the needed language.

If this procedure is done without first clearing the title field the text in this field will be appended with the new title after a slash ("/"). Use this option to create multi-lingual calendars.

You can also set titles manually.

By selecting the corresponding option you can make the system add 2 or 4 digits of the current year to month's title.


Step 5. Arranging calendar items of a calendar

Step 5. Arranging calendar items

Names of days can be placed to the left of a group of months or to the left of each month (when months are placed in several rows or columns). Additionally you can specify the placement of text to the right of a group.

Using too many multi-lingual titles for months or weeks or days may result in poor readability of a calendar.
That's why you should take into account the length of text entered in previous step.

Months names should be placed considering the general months alignment in a year.

Only horizontal intervals between rows of months will be taken into account.
'Calendar' indent is an interval between the end of month and the starting point of the first full week of the next month. This gap will be filled with either the partial week of the last month or blank space (in case that the last week of the month is full).

Not indent
One empty row
'Calendar'indent


Step 6. Additional image parameters

Step 6. Additional image parameters

You should provide Calendar Wizard with answers to the following questions on this page:

1. Some months mite have Monday as the last day or Sunday as the first day. Adjoin this day with previous or next week respectively so that the month has 5 'weeks'?

2. Fill the gap with next or previous week if the first or the last week is partial?

3. Show month's gridline?

The gridline is used for creation of backgrounds and cell lines of a calendar.


Step 7. Gridline options

Step 7. Gridline options. Skip this step if you do not plan to use the gridline.

The grid is used for creation of backgrounds and cell lines of a calendar.

Cell size is either picked automatically in accordance with text size or set to the fixed value (cell width and height are specified in millimeters). If you set the cell size to the fixed value you should also specify text alignment inside the cell. There are nine alignment styles available: centered, bottom left corner, top centered etc. Blue box shows the selected alignment style.

If you would like to see the border around cells you should check this option and specify the width of the border in pixels. Most of the plug-ins will show the 1 pixel border, even if the width is set to 0. You can set the border color if you want to. Black color will be used by default.

.


Step 8. Calendar elements layout

Step 8.1. Font and color settings.

Each group of calendar elements (year title, month name, weekdays titles etc.) has the following layout properties:

  1. Font name
  2. Font style
  3. Font size
  4. Text color
  5. Cell background
  6. Text orientation (either horizontal or vertical)

All available groups of elements will be shown in a tree. Here is the complete list of available groups of elements:

  • Year title
  • Months names
  • Weekdays titles
  • Weekdays
  • Holidays and observances
  • Mixed days
  • Last month's ending
  • Holidays legend
  • Weeks numbering

'Holidays' and observances' and 'Weekdays' may have sub-groups. These sub-groups keep the parent's layout properties, thou that some properties can be changed.

To add a sub-category to a group you need to right-click the needed group and select the [Add] command in the pop-up menu that will appear. To remove the sub-category select [Remove] in the same pop-up menu.

Sub-groups of 'Weekdays' are required to define the layout of some days in a month (like each Sunday, 1st Monday, last Saturday).

Step 8.2. Setting holidays and observances.

A database of Holidays and Observances is fully editable which means you can add, edit and delete its items.
Click "Add" to add a new date to the list or "Edit" (either double-click a date line in the list) to edit and the Date editor window will pop up.

If the current sub-group should not be different from the other days you should check the corresponding option. Holidays and Observances list will be save only if the next step is completed.

It is possible that some days will fall into different categories. In this case the priority is given to Holidays over Common days. In case with different sub-groups of the same group of elements, the priority is given to the elements that are positioned higher in the tree.


Step 9. Saving created image

Step 9. Saving created image

<no comment> J


Step 10. Choosing a plug-in

Step 10. Choosing a plug-in

The list shows various applications that can be used as targets or recipients of converted images. Calendar Wizard is made compatible with each of those applications by using special plug-ins. The unregistered version of the program works with limited number of plug-ins, e.g. CorelDRAW conversion module is not supported.


Step 11. Configuring and running a plug-in

<< |

Step 11. Configuring and running a plug-in.

Each plug-in settings are individual. Plug-ins descriptions are covered by next help topic (Plug-ins). Alternatively see plugins.chm help file for details on plug-ins settings.

You can run a plug-in by pressing the [Build] button.


Color selection

Calendar Wizard. Selection of color

The color can be selected both in RGB and CMYK color modes. The desired color can be achieved by either supplying the exact color values or by choosing the appropriate color from a palette.

Click the color sample to pick a color from a palette. Whether you select a color in RGB mode or in CMYK mode the color picker window will represent the RGB mode palette.